package com.yidianling.im.api.bean

/**
 * author : Zhangwenchao
 * e-mail : zhangwch@yidianling.com
 * time   : 2018/03/23
 * 登录 im 时传入的接口，对应 im 模块中的 IMRequestCallback
 */
interface IMRequestCallback<in T> {

    fun onSuccess(t: T?)

    fun onFailed(i: Int)

    fun onException(throwable: Throwable?)

}